Subject: [tsvwg] Not quite draft-ietf-tsvwg-ecn-encap-guidelines-14a

From: Bob Briscoe <[email-masked]>
Date: Tue, 10 Mar 2020 00:20:09 +0000

tsvwg,

Re: Guidelines for Adding Congestion Notification to Protocols that 
Encapsulate IP

I just attempted to submit a revision of 
draft-ietf-tsvwg-ecn-encap-guidelines-14 , but it got rejected due to an 
invalid email address for one of my co-authors (now retired). 
Unfortunately, I did not have time to edit and resubmit before the 23:59 
UTC cut-off. So as a second-best I have uploaded it to my own site, then 
at least anyone interested has as much time to read it before the 
meeting as if I had submitted it properly.

http://bobbriscoe.net/projects/netsvc_i-f/consig/encap/draft-ietf-tsvwg-ecn-encap-guidelines-14-COULD-NOT-SUBMIT.txt
http://bobbriscoe.net/projects/netsvc_i-f/consig/encap/draft-ietf-tsvwg-ecn-encap-guidelines-14a-DIFF-13.html

My apologies for not getting this done sooner and properly.

PS. Below is the submission confirmation for the related stds track 
draft that complements ecn-encap-guidelines,
"Propagating Explicit Congestion Notification Across IP Tunnel Headers 
Separated by a Shim"
draft-ietf-tsvwg-rfc6040update-shim-10

Bob

On 10/03/2020 00:03, [email-masked] wrote:
> A new version of I-D, draft-ietf-tsvwg-rfc6040update-shim-10.txt
> has been successfully submitted by Bob Briscoe and posted to the
> IETF repository.
>
> Name:		draft-ietf-tsvwg-rfc6040update-shim
> Revision:	10
> Title:		Propagating Explicit Congestion Notification Across IP Tunnel Headers Separated by a Shim
> Document date:	2020-03-09
> Group:		tsvwg
> Pages:		22
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-tsvwg-rfc6040update-shim-10.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-tsvwg-rfc6040update-shim/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-tsvwg-rfc6040update-shim-10
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-tsvwg-rfc6040update-shim
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-rfc6040update-shim-10
>
> Abstract:
>     RFC 6040 on "Tunnelling of Explicit Congestion Notification" made the
>     rules for propagation of ECN consistent for all forms of IP in IP
>     tunnel.  This specification updates RFC 6040 to clarify that its
>     scope includes tunnels where two IP headers are separated by at least
>     one shim header that is not sufficient on its own for wide area
>     packet forwarding.  It surveys widely deployed IP tunnelling
>     protocols that use such shim header(s) and updates the specifications
>     of those that do not mention ECN propagation (L2TPv2, L2TPv3, GRE,
>     Teredo and AMT).  This specification also updates RFC 6040 with
>     configuration requirements needed to make any legacy tunnel ingress
>     safe.
>
>                                                                                    
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>

-- 
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/